import request from '@/utils/request';


/**
 * 获取信息列表
 */
export async function getTableList(params) {
  const res = await request.get(`/eom/purchaseinquiry/page`, { params });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 获取信息详情
 */
export async function getpurchaseinquiry(id) {
  const res = await request.get(`/eom/purchaseinquiry/getById/${id}`, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 更新信息
 */
export async function UpdateInformation(data) {
  const res = await request.put(`/eom/purchaseinquiry/update`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 新增信息
 */
export async function addPurchaseinquiry(data) {
  const res = await request.post(`/eom/purchaseinquiry/save`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 删除
 */
export async function deleteInformation(data) {
  const res = await request.delete('/eom/purchaseinquiry/delete', { data });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 设置中标单位
 */
export async function chooseWinner(data) {
  const res = await request.post(`/eom/purchaseinquiry/chooseWinner`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 获取生成合同的数据
 */
export async function generateContract(data) {
  const res = await request.post(`/eom/purchaseinquiry/generateContract`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 新增信息
 */
export async function submit(data) {
  const res = await request.post(`/bpm/purchaseInquiryApprove/submit`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 核价单是否生成过合同
 */
export async function isHasGeneratedContractPI(ids) {
  const res = await request.get(`/eom/purchaseinquiry/hasGeneratedContract/${ids}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.resolve({result:0});
}
